#pragma once

#include <QMainWindow>
#include <QPixmap>

namespace Ui {
class MainWindow;
}

class MainWindow final : public QMainWindow {
  Q_OBJECT

public:
  explicit MainWindow(const QStringList &filePaths, QWidget *parent = nullptr);
  ~MainWindow() override;

protected:
  void resizeEvent(QResizeEvent *event) override;

private:
  void fit();
  void scale(double scale);

  Ui::MainWindow *ui;
  QPixmap current;
  const QString title_format{"qimv [%1]"};
  const QString scale_format{"%1%"};
};
